Search found 964 matches

Go to advanced search

by Chris_G
Thu Apr 18, 2019 2:54 pm
Forum: Help on using FreeCAD
Topic: Fusion Problems
Replies: 19
Views: 297

Re: Fusion Problems

gsandy wrote:
Wed Apr 17, 2019 10:08 pm
...
Hello,
I see you make heavy use of the Curves WB.
Please keep in mind that this workbench is experimental, and should not be used for any serious work.
by Chris_G
Thu Apr 18, 2019 1:40 pm
Forum: Python scripting and macros
Topic: [SOLVED] Python script, Part.makeLoft, more than one element for beginning and end
Replies: 4
Views: 72

Re: Python script, Part.makeLoft, more than one element for beginning and end

I can't find a way to use several wires or edges as start or end of the loft. You can't do it that way. Part.makeLoft builds ONE object that will pass through each wire, one after the other. One solution is to loft each wire of the faces individually, then build a shell and a solid from all the fac...
by Chris_G
Sun Apr 14, 2019 5:49 pm
Forum: Python scripting and macros
Topic: How to control points of a B-spline breaking it in multi-splines?
Replies: 4
Views: 106

Re: How to control points of a B-spline breaking it in multi-splines?

chrisb wrote:
Sun Apr 14, 2019 4:51 pm
Could this be an approach to points and tangents on a B-spline or is the approximation not exact enough?
I don't know much about the sketcher internals.
But I don't think this is an approximation problem (you can choose the approx tolerance).
by Chris_G
Sun Apr 14, 2019 1:35 pm
Forum: Python scripting and macros
Topic: How to control points of a B-spline breaking it in multi-splines?
Replies: 4
Views: 106

Re: How to control points of a B-spline breaking it in multi-splines?

Here is an example : import FreeCAD from FreeCAD import Vector import Part # Create and display an example BSpline Curve poles0 = [Vector (-0.028185, 0.0, 0.0), Vector (1.775631, 5.242338, 0.0), Vector (11.104738, 6.454277, 0.0), Vector (16.065231, 0.338215, 0.0), Vector (10.428308, -3.917662, 0.0),...
by Chris_G
Fri Apr 12, 2019 12:24 pm
Forum: Python scripting and macros
Topic: BSpline to Sketch: missing control points
Replies: 7
Views: 209

Re: BSpline to Sketch: missing control points

Hi,
This should add the poles :

Code: Select all

FreeCAD.ActiveDocument.Sketch.exposeInternalGeometry(0)
by Chris_G
Tue Apr 09, 2019 5:24 pm
Forum: Python scripting and macros
Topic: Error messages with user Python Defined object types.
Replies: 6
Views: 159

Re: Error messages with user Python Defined object types.

The errors are probably triggered by a temporary save.
by Chris_G
Mon Apr 01, 2019 1:51 pm
Forum: Python scripting and macros
Topic: [SOLVED] Sweep in a macro
Replies: 11
Views: 143

Re: Sweep in a macro

You have 2 options : 1 - you can use the existing Part.Sweep object, but that means that you'll need to "feed it" with other document objects (that must be present in the Tree View). It will be parametric. 2 - you create your sweep object in python (you can also create the path and profile shapes, o...
by Chris_G
Mon Apr 01, 2019 1:11 pm
Forum: Open discussion
Topic: Curves workbench
Replies: 350
Views: 28253

Re: Curves workbench

Hello Wilfried,
That would be an interesting feature indeed.
I'll look at that when I get time.
by Chris_G
Fri Mar 29, 2019 10:33 am
Forum: Help on using FreeCAD
Topic: change order in tree view
Replies: 14
Views: 473

Re: change order in tree view

There a "hack" way :
- create a group
- put all the objects in it, in the desired order
- delete the group
by Chris_G
Fri Mar 29, 2019 9:48 am
Forum: Python scripting and macros
Topic: loft fails between bspline surface and plane surface
Replies: 2
Views: 102

Re: loft fails between bspline surface and plane surface

Hello, 1) Any idea what could be the problem with loft between a spline surface and a regular flat plane ? A sample file would greatly help in finding the origin of the bug 2) Any idea to create the volume without using Loft ? It is probably also possible to build the individual faces joining the 2 ...

Go to advanced search